@echo off
title Generando Backup de Desarrollos
set FECHA_ACTUAL=%DATE%
set HORA_ACTUAL=%TIME%
set ANO=%FECHA_ACTUAL:~11,4%
set MES=%FECHA_ACTUAL:~8,2%
set DIA=%FECHA_ACTUAL:~5,2%
set HORA=%HORA_ACTUAL:~0,2%
set HORA=%HORA: =0%
set MINUTOS=%HORA_ACTUAL:~3,2%
set SEGUNDOS=%HORA_ACTUAL:~6,2%
CHOICE /C SN /M "Comprimir Archivos?"

IF %ERRORLEVEL% EQU 2 GOTO Copiar
IF %ERRORLEVEL% EQU 1 GOTO Comprimir
GOTO MostrarError

:Comprimir
del sistema-desarrollo.zip
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

zip sistema-desarrollo.zip  *.app *.dct *.exp *.lib mydoors.clw *.equ *.ico *.jpg *.gif *.cur STABSEC.INI *.cwproj *.sln *.nsi *.version *.nsi *.ocx *.lic suprema.* uf*.* *.dat *.png
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

del sistema-desarrollo-exe.zip
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

zip sistema-desarrollo-exe.zip  *.dll *.exe 
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

del .\sql\sql.zip
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

cd .\sql
zip sql.zip  *.sql
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
cd ..

:Copiar
copy .\sql\sql.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
copy sistema-desarrollo.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10"  /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
copy sistema-desarrollo-exe.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10"  /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError


copy .\sql\sql.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\BackUp\sql-%ANO%%MES%%DIA%-%HORA%%MINUTOS%%SEGUNDOS%.zip" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

copy sistema-desarrollo.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\BackUp\sistema-desarrollo-%ANO%%MES%%DIA%-%HORA%%MINUTOS%%SEGUNDOS%.zip" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

copy sistema-desarrollo-exe.zip "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\BackUp\sistema-desarrollo-exe-%ANO%%MES%%DIA%-%HORA%%MINUTOS%%SEGUNDOS%.zip" /y
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError

GOTO Ok

:MostrarError
color 47
GOTO Fin


:Ok
CD "c:\Users\gatot\cleversoftsolutions.com\Desarrollo - General\Projects\CleverErp\c10\BackUp"
IF %ERRORLEVEL% NEQ 0 GOTO MostrarError
ForFiles /M *.zip /d -30 /c "cmd /c del @FILE"
color A0
echo Proceso Terminado Satisfactorio
GOTO Fin

:Fin
PAUSE
